# Global

##

### Type Definitions

#### mapCallback(currentValue, keyopt)

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`currentValue` | string |  |
`key` | string | <optional> |

Source:
  - index.js, line 656

#### reduceCallback(accumulator, currentValue, keyopt)

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`accumulator` |  |  |
`currentValue` | string |  |
`key` | string | <optional> |

Source:
  - index.js, line 696

#### SharedMapOptions

##### Type:

- object

##### Properties:

Name | Type | Description
--- | --- | ---
`lockWrite` | boolean | Already holding write lock, useful when manually locking with lockWrite
`lockExclusive` | boolean | Already holding exclusive lock, useful when manually locking with lockExclusive

Source:
  - index.js, line 425